Skip to main content
GET
/
api2
/
v1
/
connectors
/
{connectorId}
/
folders
List files in root
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/connectors/{connectorId}/folders \
  --header 'Authorization: <api-key>'
{
  "files": [
    {
      "id": "<string>",
      "name": "<string>",
      "encodedName": "<string>",
      "contentType": "<string>",
      "note": "<string>",
      "size": 123,
      "directory": true,
      "lastModified": "2023-11-07T05:31:56Z",
      "dueDate": "2023-11-07T05:31:56Z",
      "selected": true,
      "uniqueIdentifier": "<string>",
      "error": {
        "code": "<string>",
        "message": "<string>"
      }
    }
  ],
  "currentFolder": "<string>",
  "encodedCurrentFolder": "<string>",
  "rootFolder": true,
  "lastChangedFiles": [
    {
      "id": "<string>",
      "name": "<string>",
      "encodedName": "<string>",
      "contentType": "<string>",
      "note": "<string>",
      "size": 123,
      "directory": true,
      "lastModified": "2023-11-07T05:31:56Z",
      "dueDate": "2023-11-07T05:31:56Z",
      "selected": true,
      "uniqueIdentifier": "<string>",
      "error": {
        "code": "<string>",
        "message": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

connectorId
string
required

Query Parameters

projectUid
string
sourceLocale
string
fileType
string
default:ALL
Pattern: ALL|FILES_ONLY|FOLDERS_ONLY
sort
string
default:NAME
Pattern: NAME|SIZE|LAST_MODIFIED
direction
string
default:ASCENDING
Pattern: ASCENDING|DESCENDING

Response

successful operation

files
object[]
currentFolder
string
encodedCurrentFolder
string
rootFolder
boolean
lastChangedFiles
object[]